Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24889

Description

If deleting 2 bookmarks in one operation, one (the second one) is not deleted (confirmed by inspecting tbl_bookmarks).

How to show this: 

Add 2 new bookmarks (may need to restart QGIS to see them).

Then select both added bookmarks and delete them. One of the new bookmarks may still be shown and there is a blank row.

Deleting project bookmarks works OK. The list is refreshed and the bookmarks are deleted from the project (confirmed by saving the

project, then loading it again).

This is a regression from 2.18.

I am using OSGeo4W nightly build on Windows 8.1 64-bit system.

History

#1 - 2017-11-29 02:40 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Assignee set to Alessandro Pasotti

- Status changed from Open to Closed

Fixed with https://github.com/qgis/QGIS/pull/5765

#2 - 2017-12-11 08:51 PM - Steven Mizuno

- Status changed from Closed to Reopened

Reopened because deleting bookmarks still isn't working correctly with master (010cb1567b).

After recent fixes to spatial bookmarks, deleting selected bookmarks may remove bookmarks that weren't selected and not remove those that were

selected -- I believe it depends on the sort order.

And the list also is not properly refreshed when deleting bookmarks.

#3 - 2017-12-12 02:53 PM - Alessandro Pasotti

Thanks for the feedback, I've made a PR with the fixes, https://github.com/qgis/QGIS/pull/5852
I'd appreciate if you could test them when committed.

#4 - 2017-12-21 03:56 PM - Alessandro Pasotti

- Status changed from Reopened to Closed
